<html>
<head>
<link rel="stylesheet" href="style.css" type="text/css">
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="Start" href="index.html">
<link title="Index of types" rel=Appendix href="index_types.html">
<link title="Index of values" rel=Appendix href="index_values.html">
<link title="Index of modules" rel=Appendix href="index_modules.html">
<link title="Utils" rel="Chapter" href="Utils.html">
<link title="RandList" rel="Chapter" href="RandList.html">
<link title="Tree" rel="Chapter" href="Tree.html"><title>Index of values</title>
</head>
<body>
<div class="navbar">&nbsp;<a class="up" href="index.html" title="Index">Up</a>
&nbsp;</div>
<h1>Index of values</h1>
<table>
<tr><td align="left"><div>C</div></td></tr>
<tr><td><a href="Utils.html#VALcomp">comp</a> [<a href="Utils.html">Utils</a>]</td>
<td><div class="info">
<p>Cmparison function.</p>

</div>
</td></tr>
<tr><td><a href="Tree.html#VALcompress">compress</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Compresses the tree by comparing subtrees structure.</p>

</div>
</td></tr>
<tr><td><a href="Utils.html#VALcontains_ok">contains_ok</a> [<a href="Utils.html">Utils</a>]</td>
<td><div class="info">
<p>Returns true if the list contains an ok Result, false otherwise.</p>

</div>
</td></tr>
<tr><td align="left"><div>G</div></td></tr>
<tr><td><a href="RandList.html#VALgen_permutation">gen_permutation</a> [<a href="RandList.html">RandList</a>]</td>
<td><div class="info">
<p>Generates a random permutation of integers from 1 to n (included).</p>

</div>
</td></tr>
<tr><td><a href="RandList.html#VALgen_permutation2">gen_permutation2</a> [<a href="RandList.html">RandList</a>]</td>
<td><div class="info">
<p>Generates a random permutation of integers from p to q (included).</p>

</div>
</td></tr>
<tr><td><a href="Tree.html#VALget_label">get_label</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Returns a tree's label if the tree is a node, None otherwise.</p>

</div>
</td></tr>
<tr><td><a href="Tree.html#VALget_size">get_size</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Returns a tree's size.</p>

</div>
</td></tr>
<tr><td align="left"><div>I</div></td></tr>
<tr><td><a href="Tree.html#VALinsert">insert</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Inserts an element in the tree.</p>

</div>
</td></tr>
<tr><td align="left"><div>M</div></td></tr>
<tr><td><a href="Tree.html#VALmake_tree">make_tree</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Makes a new node with leaves as left and right subtrees.</p>

</div>
</td></tr>
<tr><td align="left"><div>P</div></td></tr>
<tr><td><a href="Tree.html#VALprefix">prefix</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Returns the elements of the tree in prefix order.</p>

</div>
</td></tr>
<tr><td align="left"><div>S</div></td></tr>
<tr><td><a href="Tree.html#VALsearch">search</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Looks for an element in the tree.</p>

</div>
</td></tr>
<tr><td><a href="Tree.html#VALsignature">signature</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Returns the tree's signature, which represents its structure.</p>

</div>
</td></tr>
<tr><td align="left"><div>T</div></td></tr>
<tr><td><a href="Tree.html#VALtree_from_list">tree_from_list</a> [<a href="Tree.html">Tree</a>]</td>
<td><div class="info">
<p>Makes a tree containing the elements of a list, inserted in order.</p>

</div>
</td></tr>
<tr><td align="left"><div>U</div></td></tr>
<tr><td><a href="Utils.html#VALunwrap">unwrap</a> [<a href="Utils.html">Utils</a>]</td>
<td><div class="info">
<p>A function to get the value out of a Result.</p>

</div>
</td></tr>
</table>
</body>
</html>
